Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.socket.messaging
Class WrongEpochMessage

    java.lang.Object
      rice.pastry.messaging.Message
          rice.pastry.socket.messaging.SocketMessage
              rice.pastry.socket.messaging.DatagramMessage
                  rice.pastry.socket.messaging.WrongEpochMessage

All Implemented Interfaces:
  java.io.Serializable

public class WrongEpochMessage
extends DatagramMessage

Class which represents a "ping" message sent through the socket pastry system.

Version:
  $Id: WrongEpochMessage.java 2628 2005-07-05 16:08:25Z jeffh $
Author:
  Alan Mislove
See Also:
  Serialized Form

Field Summary
`protected EpochInetSocketAddress` | `correct` DESCRIBE THE FIELD
`protected EpochInetSocketAddress` | `incorrect` DESCRIBE THE FIELD

Fields inherited from class rice.pastry.socket.messaging.DatagramMessage
`inbound, outbound, start`

Fields inherited from class rice.pastry.messaging.Message
`DEFAULT_PRIORITY_LEVEL`

Constructor Summary
`WrongEpochMessage(SourceRoute outbound, SourceRoute inbound, EpochInetSocketAddress incorrect, EpochInetSocketAddress correct, long start)` Constructor

Method Summary
`EpochInetSocketAddress` | `getCorrect()` Gets the Correct attribute of the WrongEpochMessage object
`EpochInetSocketAddress` | `getIncorrect()` Gets the Incorrect attribute of the WrongEpochMessage object
`java.lang.String` | `toString()` DESCRIBE THE METHOD

Methods inherited from class rice.pastry.socket.messaging.DatagramMessage
`getInboundPath, getOutboundPath, getStartTime`

Methods inherited from class rice.pastry.messaging.Message
`getCredentials, getDate, getDestination, getPriority, getSender, getSenderId, setPriority, setSender, stamp`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### incorrect

    protected EpochInetSocketAddress incorrect

  DESCRIBE THE FIELD

### correct

    protected EpochInetSocketAddress correct

  DESCRIBE THE FIELD

Constructor Detail

### WrongEpochMessage

    public WrongEpochMessage(SourceRoute outbound,
                             SourceRoute inbound,
                             EpochInetSocketAddress incorrect,
                             EpochInetSocketAddress correct,
                             long start)

  Constructor

Parameters:
  `outbound` - DESCRIBE THE PARAMETER
  `inbound` - DESCRIBE THE PARAMETER
  `incorrect` - DESCRIBE THE PARAMETER
  `correct` - DESCRIBE THE PARAMETER
  `start` - DESCRIBE THE PARAMETER

Method Detail

### getIncorrect

    public EpochInetSocketAddress getIncorrect()

  Gets the Incorrect attribute of the WrongEpochMessage object

  Returns:
    The Incorrect value

### getCorrect

    public EpochInetSocketAddress getCorrect()

  Gets the Correct attribute of the WrongEpochMessage object

  Returns:
    The Correct value

### toString

    public java.lang.String toString()

  DESCRIBE THE METHOD

  Returns:
    DESCRIBE THE RETURN VALUE

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.